var submitErr = '';
var http_request = false;
var application_name_version = '';
var application_hardware = '';
var application_os = '';
var connected = true;

function makeRequest(url, parameters, user, pass) 
{
    submitErr = '';
    http_request = new XMLHttpRequest();
    
    if (!http_request) 
    {
        alert('Cannot create XMLHTTP instance');
        return false;
    }
    
    http_request.open('POST', url, true, user, pass);
    http_request.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    http_request.setRequestHeader("Content-length", parameters.length);
    http_request.setRequestHeader("Connection", "close");           
    http_request.onreadystatechange = handler;
    
    var status = document.getElementById('submit_status');
	status.style.color = 'yellow';
    status.innerHTML='Please wait while we finish sending your feedback.';
    
	try
	{
		http_request.send(parameters);
	}
	catch (err)
	{
        var msg = 'Sorry, there was a problem submitting your feedback. Please check your network connectivity and try again.';
		var status = document.getElementById('submit_status');                
		status.style.color = 'red';
		status.innerHTML=msg;
		// alert(msg);
        document.location.href = '#feedback';
	}
}

function handler() 
{
    if (http_request.readyState == 4)
    {
        if (http_request.status == 200) 
        {
        	var status = document.getElementById('submit_status');
			document.getElementById('support_form').style.display = 'none';
			status.style.color = 'green';
            status.innerHTML = 'Thank you for your submission.  We will get back to you as soon as possible.'
        } 
        else 
        {
            var msg = 'Sorry, there was a problem submitting your feedback. Please check your network connectivity and try again.';
            var status = document.getElementById('submit_status');
			status.style.color = 'red';
            status.innerHTML=msg;
            // alert(msg);
        }
        document.location.href = '#feedback';
    }    
}

function emailValid(emailField)
{
    emailRegExp = /^[_a-zA-Z0-9-]+(\.[_a-zA-Z0-9-]+)*@[a-zA-Z0-9-]+(\.[a-zA-Z0-9-]+)*(\.([a-zA-Z]){2,4})$/;
    if (emailRegExp.test(emailField))
        return true;
    else
        return false;
}

function isEmpty(textField) 
{
    if ((textField.value.length==0) || (textField.value==null)) 
    {
        return true;
    }
    return false;
}

function validateForm(form)
{
    var status = document.getElementById('submit_status');
	status.innerHTML = '';

    document.getElementById('realname_err_msg').innerHTML='';
    document.getElementById('message_err_msg').innerHTML='';
    document.getElementById('email_err_msg').innerHTML='';

    if (isEmpty(form.realname))
    {
        var err='Please enter you name';
        // alert(err);
        document.getElementById('realname_err_msg').innerHTML=err;
        document.location.href = '#feedback';
        return false;
    }

    if (!emailValid(form.email.value))
    {
        var err_mail='Please enter a valid e-mail address';
        // alert(err_mail);
        document.getElementById('email_err_msg').innerHTML=err_mail;
        document.location.href = '#feedback';
        return false;
    }
    
    if (isEmpty(form.message))
    {
        var err='Please enter a message';
        // alert(err);
        document.getElementById('message_err_msg').innerHTML=err;
        document.location.href = '#feedback';
        return false;
    }

    var params = 'email=' + escape(form.email.value);
    params += '&realname=' + escape(form.realname.value);
    var msg = form.message.value + '\nhardware:' + application_hardware + '\nOS version:'+application_os;
    //params += '&message=' + escape(form.message.value);
    params += '&message=' + escape(msg);
    params += '&application=' + escape(application_name_version);
    
    makeRequest('http://www.mymotionx.com/motionx-help/feedback.html',
				params,'feedback','678a5f10962911ddad8b0800200c9a66');
    return false; 
}


function loadMoreMX () 
{
	req = new XMLHttpRequest();
	req.open('GET', "../moremx.html", false);
    req.send(null);

    if (req.responseText)
	{
		element = document.getElementById('moremx_body');
    	element.innerHTML = req.responseText;
	}
	else
    {
        document.getElementById('moremx_link').style.display = 'none';
        document.getElementById('moremx_title').style.display = 'none';
        document.getElementById('moremx_jmp_main').style.display = 'none';
    }
}

function loadVersionInfo () 
{
    req = new XMLHttpRequest();
    req.open('GET', "version.xml", false);
    req.send(null);
    
    if (req.responseXML)
    {
        var dom = req.responseXML;
        var appElem = dom.getElementsByTagName("application")[0];
        var appName = appElem.getAttribute("name");
        var appVersion = appElem.getAttribute("version");
        var appBuild = appElem.getAttribute("build");
        var hardware = appElem.getAttribute("hw");
        var os = appElem.getAttribute("os");
           
        application_name_version = appName + " V" + appVersion + "b" + appBuild;
        application_hardware = hardware;
        application_os = os;
    }
}

function handleNoConnection()
{
    document.getElementById('support_form').style.display = 'none';
    
    var msg = 'Network connectivity is not available.  An internet connection is required to send feedback.';
    var status = document.getElementById('submit_status');
    
    status.style.color = 'red';
    status.innerHTML=msg;
    
    return msg;
}